using API.Models.Internal.Altersgruppen;

namespace API.Repository.AgeGroupRepo
{
    public interface IAgeGroupService
    {
        public Task<List<AltersGruppe>> GetAllAsync();

        public Task<AltersGruppe?> GetAsync(string id);
        public Task<AltersGruppe> CreateAsync(AltersGruppe altersGruppe);
        public Task<AltersGruppe?> DeleteAsync(string id);
        public Task<AltersGruppe?> UpdateAsync(string id, AltersGruppe altersGruppe); 
    }
}
